/*
   * 各个请求模块的js 都导入到该模块中 用于向外导出
   * 方便 全局直接引用
*/
import { recommendMusic, newMusic } from './Home.js';
import { hotSearch, searchResultList } from './Search.js';
import { getSongById, getLyricById } from './Play.js';


// 请求推荐歌单方法导出
export const recommendMusicAPI = recommendMusic;
// 最新音乐方法导出
export const newMusicAPI = newMusic;
// 热搜关键词方法导出
export const hotSearchAPI = hotSearch;
// 热搜关键词搜索结果
export const searchResultListAPI = searchResultList;

// 获取歌曲播放地址
export const getSongByIdAPI = getSongById;
// 获取歌曲歌词数据
export const getLyricByIdAPI = getLyricById;