import Vue from 'vue'
import App from './App.vue'

// 适配
import '@/mobile/flexible.js'
// 初始化样式
import '@/styles/reset.css'

// 接收 路由对象
import router from '@/router/index.js';

// 按需导入
import { Tabbar, TabbarItem, NavBar, Col, Row, Image as VanImage, Cell, Icon, Search, List } from 'vant';

// 测试 公共接口
import { recommendMusicAPI } from '@/api';

async function fn() {
  const res = await recommendMusicAPI();
  console.log(res);
}

fn();

// 使用 vant组件
Vue.use(Tabbar);
Vue.use(TabbarItem);
Vue.use(NavBar);
Vue.use(Col);
Vue.use(Row);
Vue.use(VanImage);
Vue.use(Cell);
Vue.use(Icon);
Vue.use(Search);
Vue.use(List);

Vue.config.productionTip = false

new Vue({
  router,
  render: h => h(App),
}).$mount('#app')
